DecoderConfigValues.SymbologyFlags

com.hsm.barcode

## Class DecoderConfigValues.SymbologyFlags

- java.lang.Object
- - com.hsm.barcode.DecoderConfigValues.SymbologyFlags

- Enclosing class:
    DecoderConfigValues

      public final class DecoderConfigValues.SymbologyFlags
      extends java.lang.Object

  Symbology Flags class that defines the flags used by the SymbologyConfig class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SYM_MASK_ALL` All fields valid
    `static int` | `SYM_MASK_FLAGS` Flags are valid
    `static int` | `SYM_MASK_MAX_LEN` Max Length valid
    `static int` | `SYM_MASK_MIN_LEN` Min Length valid
    `static int` | `SYMBOLOGY_128_APPEND` Deprecated. Enable OR dISBALE Code 128 FNC2 append functionality
    `static int` | `SYMBOLOGY_2_DIGIT_ADDENDA` Enable 2 digit Addenda (UPC & EAN)
    `static int` | `SYMBOLOGY_5_DIGIT_ADDENDA` Enable 5 digit Addenda (UPC & EAN)
    `static int` | `SYMBOLOGY_ADDENDA_REQUIRED` Only allow codes with addenda (UPC & EAN)
    `static int` | `SYMBOLOGY_ADDENDA_SEPARATOR` Include Addenda separator space in returned string
    `static int` | `SYMBOLOGY_AUS_POST_ALPHANUMERIC_C_TABLE` Alphanumeric C Table
    `static int` | `SYMBOLOGY_AUS_POST_COMBINATION_N_AND_C_TABLES` Combination N and C Tables
    `static int` | `SYMBOLOGY_AUS_POST_NUMERIC_N_TABLE` Numeric N Table
    `static int` | `SYMBOLOGY_AUSTRALIAN_BAR_WIDTH` Include australian postal bar data in string
    `static int` | `SYMBOLOGY_CHECK_ENABLE` Enable usage of check character
    `static int` | `SYMBOLOGY_CHECK_TRANSMIT` Send check character
    `static int` | `SYMBOLOGY_CODABAR_CONCATENATE` Codabar concatenate.
    `static int` | `SYMBOLOGY_COMPOSITE_UPC` Enable UPC composite codes
    `static int` | `SYMBOLOGY_ENABLE` Enable Symbology bit
    `static int` | `SYMBOLOGY_ENABLE_APPEND_MODE` Deprecated. Code39 append mode
    `static int` | `SYMBOLOGY_ENABLE_FULLASCII` Enable Code39 Full ASCII
    `static int` | `SYMBOLOGY_EXPANDED_UPCE` Extended UPC-E
    `static int` | `SYMBOLOGY_NUM_SYS_TRANSMIT` UPC-A/UPC-e Send Num Sys
    `static int` | `SYMBOLOGY_POSICODE_LIMITED_1` Deprecated. PosiCode Limited of 1
    `static int` | `SYMBOLOGY_POSICODE_LIMITED_2` Deprecated. PosiCode Limited of 2
    `static int` | `SYMBOLOGY_RSE_ENABLE` Enable RSS Expanded bit
    `static int` | `SYMBOLOGY_RSL_ENABLE` Enable RSS Limited bit
    `static int` | `SYMBOLOGY_RSS_ENABLE` Enable RSS bit
    `static int` | `SYMBOLOGY_RSX_ENABLE_MASK` Enable all RSS versions
    `static int` | `SYMBOLOGY_START_STOP_XMIT` Include the start and stop characters in the decoded result string
    `static int` | `SYMBOLOGY_TELEPEN_OLD_STYLE` Telepen Old Style mode
    `static int` | `SYMBOLOGY_UPCA_TRANSLATE_TO_EAN13` Translate UPCA to EAN13 if EAN 13 and UPC are enabled
    `static int` | `SYMBOLOGY_UPCE1_ENABLE` UPC-E1 enable (use SYMBOLOGY_ENABLE for UPC-E0)

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYMBOLOGY_ENABLE

          public static final int SYMBOLOGY_ENABLE

      Enable Symbology bit
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_CHECK_ENABLE

          public static final int SYMBOLOGY_CHECK_ENABLE

      Enable usage of check character
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_CHECK_TRANSMIT

          public static final int SYMBOLOGY_CHECK_TRANSMIT

      Send check character
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_START_STOP_XMIT

          public static final int SYMBOLOGY_START_STOP_XMIT

      Include the start and stop characters in the decoded result string
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_ENABLE_APPEND_MODE

          public static final int SYMBOLOGY_ENABLE_APPEND_MODE

      Deprecated. Code39 append mode
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_ENABLE_FULLASCII

          public static final int SYMBOLOGY_ENABLE_FULLASCII

      Enable Code39 Full ASCII
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_NUM_SYS_TRANSMIT

          public static final int SYMBOLOGY_NUM_SYS_TRANSMIT

      UPC-A/UPC-e Send Num Sys
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_2_DIGIT_ADDENDA

          public static final int SYMBOLOGY_2_DIGIT_ADDENDA

      Enable 2 digit Addenda (UPC & EAN)
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_5_DIGIT_ADDENDA

          public static final int SYMBOLOGY_5_DIGIT_ADDENDA

      Enable 5 digit Addenda (UPC & EAN)
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_ADDENDA_REQUIRED

          public static final int SYMBOLOGY_ADDENDA_REQUIRED

      Only allow codes with addenda (UPC & EAN)
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_ADDENDA_SEPARATOR

          public static final int SYMBOLOGY_ADDENDA_SEPARATOR

      Include Addenda separator space in returned string
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_UPCA_TRANSLATE_TO_EAN13

          public static final int SYMBOLOGY_UPCA_TRANSLATE_TO_EAN13

      Translate UPCA to EAN13 if EAN 13 and UPC are enabled
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_EXPANDED_UPCE

          public static final int SYMBOLOGY_EXPANDED_UPCE

      Extended UPC-E
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_UPCE1_ENABLE

          public static final int SYMBOLOGY_UPCE1_ENABLE

      UPC-E1 enable (use SYMBOLOGY_ENABLE for UPC-E0)
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_COMPOSITE_UPC

          public static final int SYMBOLOGY_COMPOSITE_UPC

      Enable UPC composite codes
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_AUSTRALIAN_BAR_WIDTH

          public static final int SYMBOLOGY_AUSTRALIAN_BAR_WIDTH

      Include australian postal bar data in string
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_128_APPEND

          public static final int SYMBOLOGY_128_APPEND

      Deprecated. Enable OR dISBALE Code 128 FNC2 append functionality
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_RSE_ENABLE

          public static final int SYMBOLOGY_RSE_ENABLE

      Enable RSS Expanded bit
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_RSL_ENABLE

          public static final int SYMBOLOGY_RSL_ENABLE

      Enable RSS Limited bit
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_RSS_ENABLE

          public static final int SYMBOLOGY_RSS_ENABLE

      Enable RSS bit
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_RSX_ENABLE_MASK

          public static final int SYMBOLOGY_RSX_ENABLE_MASK

      Enable all RSS versions
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_TELEPEN_OLD_STYLE

          public static final int SYMBOLOGY_TELEPEN_OLD_STYLE

      Telepen Old Style mode
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_POSICODE_LIMITED_1

          public static final int SYMBOLOGY_POSICODE_LIMITED_1

      Deprecated. PosiCode Limited of 1
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_POSICODE_LIMITED_2

          public static final int SYMBOLOGY_POSICODE_LIMITED_2

      Deprecated. PosiCode Limited of 2
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_CODABAR_CONCATENATE

          public static final int SYMBOLOGY_CODABAR_CONCATENATE

      Codabar concatenate.
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_AUS_POST_NUMERIC_N_TABLE

          public static final int SYMBOLOGY_AUS_POST_NUMERIC_N_TABLE

      Numeric N Table
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_AUS_POST_ALPHANUMERIC_C_TABLE

          public static final int SYMBOLOGY_AUS_POST_ALPHANUMERIC_C_TABLE

      Alphanumeric C Table
      See Also:
        Constant Field Values

    - #### SYMBOLOGY_AUS_POST_COMBINATION_N_AND_C_TABLES

          public static final int SYMBOLOGY_AUS_POST_COMBINATION_N_AND_C_TABLES

      Combination N and C Tables
      See Also:
        Constant Field Values

    - #### SYM_MASK_FLAGS

          public static final int SYM_MASK_FLAGS

      Flags are valid
      See Also:
        Constant Field Values

    - #### SYM_MASK_MIN_LEN

          public static final int SYM_MASK_MIN_LEN

      Min Length valid
      See Also:
        Constant Field Values

    - #### SYM_MASK_MAX_LEN

          public static final int SYM_MASK_MAX_LEN

      Max Length valid
      See Also:
        Constant Field Values

    - #### SYM_MASK_ALL

          public static final int SYM_MASK_ALL

      All fields valid
      See Also:
        Constant Field Values